Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
appointmentedit.php File Reference

Go to the source code of this file.

## Functions
| deleteCache ( $SiteDesign, $language, $year, $month, $day, $userID)
| addZero ( $value)

## Variables
if(isset( $DeleteAppointments)) if(isset( $GoDay)) else if(isset( $GoMonth)) else if(isset( $GoYear)) else if(isset( $GoToday)) | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZCalendarMain", "Language" )
| $StartTimeStr = $ini->variable( "eZCalendarMain", "DayStartTime" )
| $StopTimeStr = $ini->variable( "eZCalendarMain", "DayStopTime" )
| $Locale = new eZLocale( $Language )
| $TitleError = false
| $StartTimeError = false
| $StopTimeError = false
| $DateError = false
if(isset( $TrusteeUser)) | $user =& eZUser::currentUser()
else | $userID = $user->id()
else | $app = new eZAppointment( $AppointmentID )
| $t
if(isset( $ChangeView)||isset( $ViewType) && $ViewType=="multiple") | else
| $today = new eZDate()
else | $year = $today->year()
else | $month = $today->month()
else | $day = $today->day()
| $tmpdate = new eZDate( $year, $month, $day )
if( $Action=="New") | $type = new eZAppointmentType()
| $typeList =& $type->getTree()

## Function Documentation

## ◆ addZero()

addZero | ( |  | $value | ) |

Definition at line 906 of file appointmentedit.php.

References $ret.

## ◆ deleteCache()

deleteCache | ( |  | $SiteDesign,
|  |  | $language,
|  |  | $year,
|  |  | $month,
|  |  | $day,
|  |  | $userID
| ) |  |

Definition at line 897 of file appointmentedit.php.

References eZPBFile\unlink().

## Variable Documentation

## ◆ $app

else $app = new eZAppointment( $AppointmentID )

Definition at line 128 of file appointmentedit.php.

Referenced by intersects().

## ◆ $DateError

$DateError = false

Definition at line 106 of file appointmentedit.php.

## ◆ $day

else $day = $today->day()

Definition at line 665 of file appointmentedit.php.

Referenced by eZPBLog\__construct(), eZDateTime\__construct(), eZXMLRPCDatetime\__construct(), eZDate\__construct(), eZHTTPTool\assignDate(), eZLocale\dayName(), eZDate\dayName(), eZPageViewQuery\dayStats(), eZGroupEvent\getAllByDate(), eZGroupEvent\getAllByType(), eZGroupEvent\getByDate(), eZGroupEvent\getByGroupType(), eZPageViewQuery\monthStats(), eZDateTime\mySQLDateTime(), eZDateTime\mysqlTimeStamp(), eZBackslashImporter\news(), eZNyheterNOImporter\news(), eZGroupEvent\repeatUntilDate(), eZXMLRPCDatetime\serialize(), eZGroupEvent\setRecurDay(), eZPageViewQuery\totalPageViewsDay(), eZXMLRPCDatetime\value(), and eZCompany\viewCount().

## ◆ $ini

if (isset($DeleteAppointments)) if (isset($GoDay)) else if (isset($GoMonth)) else if (isset($GoYear)) else if (isset($GoToday)) $ini =& eZINI::instance( 'site.ini' )

Definition at line 95 of file appointmentedit.php.

## ◆ $Language

$Language = $ini->variable( "eZCalendarMain", "Language" )

Definition at line 97 of file appointmentedit.php.

## ◆ $Locale

$Locale = new eZLocale( $Language )

Definition at line 101 of file appointmentedit.php.

## ◆ $month

foreach ($typeList as $type) for ($i=1;$i<=31;$i++) $month = $today->month()

Definition at line 660 of file appointmentedit.php.

Referenced by eZPBLog\__construct(), eZDateTime\__construct(), eZXMLRPCDatetime\__construct(), eZDate\__construct(), eZHTTPTool\assignDate(), eZCCTool\checkCC(), eZPageViewQuery\dayStats(), eZGroupEvent\getAllByDate(), eZGroupEvent\getAllByType(), eZGroupEvent\getByDate(), eZGroupEvent\getByGroupType(), eZLocale\monthName(), eZDate\monthName(), eZPageViewQuery\monthStats(), eZDateTime\mySQLDateTime(), eZDateTime\mysqlTimeStamp(), eZBackslashImporter\news(), eZNyheterNOImporter\news(), eZGroupEvent\repeatUntilDate(), eZXMLRPCDatetime\serialize(), eZPageViewQuery\topEntryPage(), eZPageViewQuery\topExitPage(), eZPageViewQuery\totalPageViewsDay(), eZPageViewQuery\totalPageViewsMonth(), eZXMLRPCDatetime\value(), eZCompany\viewCount(), eZPageViewQuery\yearStats(), and eZCompany\yearViewCounts().

## ◆ $StartTimeError

$StartTimeError = false

Definition at line 104 of file appointmentedit.php.

## ◆ $StartTimeStr

$StartTimeStr = $ini->variable( "eZCalendarMain", "DayStartTime" )

Definition at line 98 of file appointmentedit.php.

## ◆ $StopTimeError

$StopTimeError = false

Definition at line 105 of file appointmentedit.php.

## ◆ $StopTimeStr

$StopTimeStr = $ini->variable( "eZCalendarMain", "DayStopTime" )

Definition at line 99 of file appointmentedit.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezcalendar/user/" . $ini->variable( "eZCalendarMain", "TemplateDir" ),
"kernel/ezcalendar/user/intl/", $Language, "appointmentedit.php" )
$ini
if(isset( $DeleteAppointments)) if(isset( $GoDay)) else if(isset( $GoMonth)) else if(isset( $GoYear)) else if(isset( $GoToday)) $ini
Definition: appointmentedit.php:95
$Language
$Language
Definition: appointmentedit.php:97
eZTemplate
Definition: eztemplate.php:107

Definition at line 133 of file appointmentedit.php.

## ◆ $TitleError

$TitleError = false

Definition at line 103 of file appointmentedit.php.

## ◆ $tmpdate

$tmpdate = new eZDate( $year, $month, $day )

Definition at line 667 of file appointmentedit.php.

## ◆ $today

$today = new eZDate()

Definition at line 651 of file appointmentedit.php.

Referenced by eZPBLog\__construct().

## ◆ $type

if ($Action=="New") $type = new eZAppointmentType()

Definition at line 775 of file appointmentedit.php.

## ◆ $typeList

$typeList =& $type->getTree()

Definition at line 776 of file appointmentedit.php.

## ◆ $user

if (isset($TrusteeUser)) $user =& eZUser::currentUser()

Definition at line 117 of file appointmentedit.php.

## ◆ $userID

else $userID = $user->id()

Definition at line 121 of file appointmentedit.php.

Referenced by ezpContentAccessDeniedException\__construct(), eZBulkMailUserSubscripter\addDelay(), eZArticle\addLog(), eZPerson\addUser(), eZUserGroup\addUser(), eZUser\clearAutoCookieLogin(), eZQuizScore\countAllByUser(), eZQuizScore\countAllSavedByUser(), eZMailFilter\eZMailFilter(), ezpRestAuthConfiguration\filter(), eZQuizScore\getAllByUser(), eZQuizScore\getAllSavedByUser(), eZOrder\getByCustomer(), eZAppointment\getByDate(), eZOrder\getByUser(), eZUserGroup\getByUser(), eZAppointment\getByUser(), eZVoucherUsed\getByUser(), eZVoucher\getByUser(), eZOrder\getCountByUser(), eZQuizScore\getUserGame(), eZVirtualFile\isOwner(), eZVirtualFolder\isOwner(), eZImage\isOwner(), eZImageCategory\isOwner(), eZOrder\isOwner(), eZMedia\isOwner(), eZMediaCategory\isOwner(), eZAddress\mainAddress(), eZMessage\messagesFromUser(), eZMessage\messagesToUser(), eZMessageDefinition\messagesToUser(), eZGroupEvent\notification(), eZVirtualFile\search(), eZImage\search(), eZImage\searchCount(), eZVirtualFile\searchCount(), eZUser\setCookieValues(), eZCompany\setCreatorID(), eZAddress\setMainAddress(), eZCart\setPersonID(), eZOrder\setPersonID(), eZOrder\setShippingAddress(), eZImage\setUser(), eZImageCategory\setUser(), eZVirtualFolder\setUser(), eZMedia\setUser(), eZMediaCategory\setUser(), eZSession\setUserID(), eZPreferences\setVariable(), eZQuizAnswer\store(), eZQuizScore\store(), eZBulkMailUserSubscripter\subscribe(), eZBulkMailUserSubscripter\subscriptions(), eZBulkMailUserSubscripter\unsubscribe(), eZVote\userID(), eZPreferences\variable(), and ezpSessionHandlerDB\write().

## ◆ $year

else $year = $today->year()

Definition at line 655 of file appointmentedit.php.

Referenced by eZPBLog\__construct(), eZDateTime\__construct(), eZXMLRPCDatetime\__construct(), eZDate\__construct(), eZHTTPTool\assignDate(), eZCCTool\checkCC(), eZPageViewQuery\dayStats(), eZPageViewQuery\monthStats(), eZDateTime\mysqlTimeStamp(), eZBackslashImporter\news(), eZNyheterNOImporter\news(), eZGroupEvent\repeatUntilDate(), eZXMLRPCDatetime\serialize(), eZPageViewQuery\topEntryPage(), eZPageViewQuery\topExitPage(), eZPageViewQuery\totalPageViewsDay(), eZPageViewQuery\totalPageViewsMonth(), eZXMLRPCDatetime\value(), eZCompany\viewCount(), eZPageViewQuery\yearStats(), and eZCompany\yearViewCounts().

## ◆ else

if (isset($DateError) &&$DateError) else

Initial value:
{
$t->set_var( "select_multiple", "" )
$t
$t
Definition: appointmentedit.php:133

Definition at line 162 of file appointmentedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.